<html><head><title>PMD</title></head><body>
<center><h3>PMD report</h3></center><center><h3>Problems found</h3></center><table align="center" cellspacing="0" cellpadding="3"><tr>
<th>#</th><th>File</th><th>Line</th><th>Problem</th></tr>
<tr bgcolor="lightgrey"> 
<td align="center">1</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">4</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_documentation.html#commentrequired">CommentRequired: Class comments are required</a></td>
</tr>
<tr> 
<td align="center">2</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">6</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_documentation.html#commentrequired">CommentRequired: Field comments are required</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">3</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">6</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_apex_codestyle.html#fieldnamingconventions">FieldNamingConventions: The field name 'm_firstName' doesn't match '[a-z][a-zA-Z0-9]*'</a></td>
</tr>
<tr> 
<td align="center">4</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">6</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_design.html#immutablefield">ImmutableField: Field 'm_firstName' may be declared final</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">5</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">7</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_documentation.html#commentrequired">CommentRequired: Field comments are required</a></td>
</tr>
<tr> 
<td align="center">6</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">7</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_apex_codestyle.html#fieldnamingconventions">FieldNamingConventions: The field name 'm_lastName' doesn't match '[a-z][a-zA-Z0-9]*'</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">7</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">7</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_design.html#immutablefield">ImmutableField: Field 'm_lastName' may be declared final</a></td>
</tr>
<tr> 
<td align="center">8</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">8</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_documentation.html#commentrequired">CommentRequired: Field comments are required</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">9</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">8</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_performance.html#redundantfieldinitializer">RedundantFieldInitializer: Avoid using redundant field initializer for 'password'</a></td>
</tr>
<tr> 
<td align="center">10</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">9</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_documentation.html#commentrequired">CommentRequired: Field comments are required</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">11</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">10</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_documentation.html#commentrequired">CommentRequired: Field comments are required</a></td>
</tr>
<tr> 
<td align="center">12</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">10</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_design.html#immutablefield">ImmutableField: Field 'defaultpasswordLength' may be declared final</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">13</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">10</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_codestyle.html#longvariable">LongVariable: Avoid excessively long variable names like defaultpasswordLength</a></td>
</tr>
<tr> 
<td align="center">14</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">11</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_errorprone.html#avoidfieldnamematchingtypename">AvoidFieldNameMatchingTypeName: It is somewhat confusing to have a field name matching the declaring class name</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">15</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">11</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_documentation.html#commentrequired">CommentRequired: Field comments are required</a></td>
</tr>
<tr> 
<td align="center">16</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">13</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_documentation.html#commentrequired">CommentRequired: Public method and constructor comments are required</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">17</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">13</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_codestyle.html#methodargumentcouldbefinal">MethodArgumentCouldBeFinal: Parameter 'firstName' is not assigned and could be declared final</a></td>
</tr>
<tr> 
<td align="center">18</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">13</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_codestyle.html#methodargumentcouldbefinal">MethodArgumentCouldBeFinal: Parameter 'lastName' is not assigned and could be declared final</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">19</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">18</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_documentation.html#commentrequired">CommentRequired: Public method and constructor comments are required</a></td>
</tr>
<tr> 
<td align="center">20</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">19</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_bestpractices.html#systemprintln">SystemPrintln: Usage of System.out/err</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">21</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">20</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_bestpractices.html#systemprintln">SystemPrintln: Usage of System.out/err</a></td>
</tr>
<tr> 
<td align="center">22</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">23</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_documentation.html#commentrequired">CommentRequired: Public method and constructor comments are required</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">23</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">23</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_codestyle.html#methodargumentcouldbefinal">MethodArgumentCouldBeFinal: Parameter 'depChoice' is not assigned and could be declared final</a></td>
</tr>
<tr> 
<td align="center">24</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">24</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_bestpractices.html#switchstmtsshouldhavedefault">SwitchStmtsShouldHaveDefault: Switch statements should be exhaustive, add a default case (or missing enum branches)</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">25</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">37</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_codestyle.html#methodargumentcouldbefinal">MethodArgumentCouldBeFinal: Parameter 'length' is not assigned and could be declared final</a></td>
</tr>
<tr> 
<td align="center">26</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">38</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_codestyle.html#localvariablecouldbefinal">LocalVariableCouldBeFinal: Local variable 'set' could be declared final</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">27</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">39</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_codestyle.html#localvariablecouldbefinal">LocalVariableCouldBeFinal: Local variable 'password' could be declared final</a></td>
</tr>
<tr> 
<td align="center">28</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">41</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_codestyle.html#localvariablecouldbefinal">LocalVariableCouldBeFinal: Local variable 'rand' could be declared final</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">29</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">47</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_documentation.html#commentrequired">CommentRequired: Public method and constructor comments are required</a></td>
</tr>
<tr> 
<td align="center">30</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">49</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_errorprone.html#uselocalewithcaseconversions">UseLocaleWithCaseConversions: When doing a String.toLowerCase()/toUpperCase() call, use a Locale</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">31</td>
<td width="*%">src/main/java/labcodeinspection/Email.java</td>
<td align="center" width="5%">49</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_errorprone.html#uselocalewithcaseconversions">UseLocaleWithCaseConversions: When doing a String.toLowerCase()/toUpperCase() call, use a Locale</a></td>
</tr>
<tr> 
<td align="center">32</td>
<td width="*%">src/main/java/labcodeinspection/EmailApp.java</td>
<td align="center" width="5%">5</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_documentation.html#commentrequired">CommentRequired: Class comments are required</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">33</td>
<td width="*%">src/main/java/labcodeinspection/EmailApp.java</td>
<td align="center" width="5%">5</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_design.html#useutilityclass">UseUtilityClass: This utility class has a non-private constructor</a></td>
</tr>
<tr> 
<td align="center">34</td>
<td width="*%">src/main/java/labcodeinspection/EmailApp.java</td>
<td align="center" width="5%">7</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_documentation.html#commentrequired">CommentRequired: Public method and constructor comments are required</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">35</td>
<td width="*%">src/main/java/labcodeinspection/EmailApp.java</td>
<td align="center" width="5%">8</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_errorprone.html#closeresource">CloseResource: Ensure that resources like this Scanner object are closed after use</a></td>
</tr>
<tr> 
<td align="center">36</td>
<td width="*%">src/main/java/labcodeinspection/EmailApp.java</td>
<td align="center" width="5%">8</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_codestyle.html#localvariablecouldbefinal">LocalVariableCouldBeFinal: Local variable 'sc' could be declared final</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">37</td>
<td width="*%">src/main/java/labcodeinspection/EmailApp.java</td>
<td align="center" width="5%">8</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_codestyle.html#shortvariable">ShortVariable: Avoid variables with short names like sc</a></td>
</tr>
<tr> 
<td align="center">38</td>
<td width="*%">src/main/java/labcodeinspection/EmailApp.java</td>
<td align="center" width="5%">10</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_bestpractices.html#systemprintln">SystemPrintln: Usage of System.out/err</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">39</td>
<td width="*%">src/main/java/labcodeinspection/EmailApp.java</td>
<td align="center" width="5%">11</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_codestyle.html#localvariablecouldbefinal">LocalVariableCouldBeFinal: Local variable 'firstName' could be declared final</a></td>
</tr>
<tr> 
<td align="center">40</td>
<td width="*%">src/main/java/labcodeinspection/EmailApp.java</td>
<td align="center" width="5%">13</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_bestpractices.html#systemprintln">SystemPrintln: Usage of System.out/err</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">41</td>
<td width="*%">src/main/java/labcodeinspection/EmailApp.java</td>
<td align="center" width="5%">14</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_codestyle.html#localvariablecouldbefinal">LocalVariableCouldBeFinal: Local variable 'lastName' could be declared final</a></td>
</tr>
<tr> 
<td align="center">42</td>
<td width="*%">src/main/java/labcodeinspection/EmailApp.java</td>
<td align="center" width="5%">16</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_bestpractices.html#systemprintln">SystemPrintln: Usage of System.out/err</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">43</td>
<td width="*%">src/main/java/labcodeinspection/EmailApp.java</td>
<td align="center" width="5%">18</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_codestyle.html#localvariablecouldbefinal">LocalVariableCouldBeFinal: Local variable 'depChoice' could be declared final</a></td>
</tr>
<tr> 
<td align="center">44</td>
<td width="*%">src/main/java/labcodeinspection/EmailApp.java</td>
<td align="center" width="5%">21</td>
<td width="*"><a href="https://docs.pmd-code.org/pmd-doc-7.1.0/pmd_rules_java_codestyle.html#localvariablecouldbefinal">LocalVariableCouldBeFinal: Local variable 'email' could be declared final</a></td>
</tr>
</table></body></html>
